summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2017-08-07 10:03:53 +0200
committerAmy Liffey <amynka@gentoo.org>2017-08-07 10:04:38 +0200
commit3f0fe98e778f6209d5f43d95b8ca388b3dd2ed62 (patch)
tree62b96901ae6f096bc80555999a265090978d2fd2 /app-admin/multilog-watch
parentx11-libs/libxkbcommon: Bump to version 0.7.2 (diff)
downloadgentoo-3f0fe98e778f6209d5f43d95b8ca388b3dd2ed62.tar.gz
gentoo-3f0fe98e778f6209d5f43d95b8ca388b3dd2ed62.tar.bz2
gentoo-3f0fe98e778f6209d5f43d95b8ca388b3dd2ed62.zip
app-admin/multilog-watch: eapi bump to 6
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'app-admin/multilog-watch')
-rw-r--r--app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild (renamed from app-admin/multilog-watch/multilog-watch-1.12.ebuild)18
1 files changed, 10 insertions, 8 deletions
diff --git a/app-admin/multilog-watch/multilog-watch-1.12.ebuild b/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
index a5ba20ffbe3..a8298e04e6c 100644
--- a/app-admin/multilog-watch/multilog-watch-1.12.ebuild
+++ b/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
@@ -1,9 +1,11 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+EAPI=6
+
inherit eutils
-DESCRIPTION="Watches a multilog file for irregularities"
+DESCRIPTION="Watches a multilog file for irregularities"
HOMEPAGE="https://www.eyrie.org/~eagle/software/multilog-watch/"
SRC_URI="https://archives.eyrie.org/software/system/multilog-watch
https://www.eyrie.org/%7Eeagle/software/multilog-watch/sample.filter"
@@ -17,15 +19,15 @@ RDEPEND="dev-lang/perl
virtual/qmail"
src_unpack() {
- mkdir "${S}"
- cp "${DISTDIR}"/multilog-watch "${S}"
- cp "${DISTDIR}"/sample.filter "${S}"
+ mkdir "${S}" || die
+ cp "${DISTDIR}"/multilog-watch "${S}" || die
+ cp "${DISTDIR}"/sample.filter "${S}" || die
}
src_compile() {
- mv multilog-watch multilog-watch.orig
- sed -e 's/\/etc\/leland/\/etc\/multilog-watch/' multilog-watch.orig > multilog-watch
- /usr/bin/pod2man -s 1 multilog-watch multilog-watch.1
+ mv multilog-watch multilog-watch.orig || die
+ sed -e 's/\/etc\/leland/\/etc\/multilog-watch/' multilog-watch.orig > multilog-watch || die
+ /usr/bin/pod2man -s 1 multilog-watch multilog-watch.1 || die
}
src_install() {
@@ -33,6 +35,6 @@ src_install() {
insinto /etc/multilog-watch
doins sample.filter
- dobin multilog-watch || die 'install failed'
+ dobin multilog-watch
doman multilog-watch.1
}